Subject: Re: Notification: incoming/798

From: Dominik Vogt <[email-masked]>
Date: Sat, 10 Nov 2001 22:14:12 +0100

On Fri, Oct 26, 2001 at 08:06:53PM -0500, fvwm-bug wrote:
> FVWM Bug Tracking notification
> 
> new message incoming/798
> 
> Full_Name: Jeff Solomon
> Version: 2.4.3
> CVS_Date: 
> OS: SPARC/Solaris 8
> X_Server: X11
> Submission from: (NULL) (171.64.72.46)
> 
> 
> I use 6 managers with FvwmIconMan. Here is the relevent part of my
> fvwm2rc:
> 
> *FvwmIconMan*nummanagers        6
> *FvwmIconMan*Resolution         global
> *FvwmIconMan*background         RootColor
> *FvwmIconMan*foreground         RootColor
> *FvwmIconMan*font               Bold
> # Great! M4 reserves the word "format" so we must quote it to prevent
> replacement
> *FvwmIconMan*`format'           "%i"
> *FvwmIconMan*shape              False
> *FvwmIconMan*title              ""
> *FvwmIconMan*titlebutton        flat RootColor RootColor
> 
> *FvwmIconMan*sort               none
> *FvwmIconMan*followfocus        true
> *FvwmIconMan*focusandselectbutton        up HighFore HighBack
> *FvwmIconMan*focusbutton        up HighFore HighBack
> *FvwmIconMan*iconbutton        up ForeColor BackColor
> *FvwmIconMan*plainbutton        up ForeColor BackColor
> *FvwmIconMan*selectbutton       up HighFore HighBack
> 
> All of the color names are replaced with real colors by FvwmM4. I use
> *show and *dontshow to make different types of apps go to different
> managers
> depending on their icon,resource, etc.
> 
> The problem is that when no icons are being governed by a particular
> manager, the area that it would cover on the screen when *shape is set
> to True gets garbled with whatever happens to be the last thing to draw
> itself there. If I set *shape to False, then I have to be sure to set
> *FvwmIconMan*background to the background color or else the outlines
> of the six managers will be visible whether or not they contain any
> windows.

I'll commit a fix for the current development code and the next
stable release (2.4.4).

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]